import { Component, Element, h, Prop, State } from "@stencil/core";
import * as translation from "../../../translation";
export class IntergiroLogMerchant {
  componentWillLoad() {
    this.t = translation.create(this.element);
  }
  render() {
    return [
      h("section", null,
        h("smoothly-display", null, this.t("agent")),
        h("smoothly-display", null, this.log.agent)),
      this.log.merchant && (h("section", null,
        h("smoothly-display", null, this.t("merchant")),
        h("smoothly-display", null, this.t(this.log.merchant)))),
      this.log.client && (h("section", null,
        h("smoothly-display", null, this.t("client")),
        h("smoothly-display", null, this.log.client))),
    ];
  }
  static get is() { return "ig-log-merchant"; }
  static get encapsulation() { return "scoped"; }
  static get originalStyleUrls() { return {
    "$": ["style.css"]
  }; }
  static get styleUrls() { return {
    "$": ["style.css"]
  }; }
  static get properties() { return {
    "log": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "Log",
        "resolved": "Log",
        "references": {
          "Log": {
            "location": "import",
            "path": "@payfunc/model-log"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      }
    }
  }; }
  static get states() { return {
    "t": {}
  }; }
  static get elementRef() { return "element"; }
}
